summaryrefslogtreecommitdiffstats
path: root/source/a/sysvinit-functions/sysvinit-functions.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/a/sysvinit-functions/sysvinit-functions.SlackBuild
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/a/sysvinit-functions/sysvinit-functions.SlackBuild')
-rwxr-xr-xsource/a/sysvinit-functions/sysvinit-functions.SlackBuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/source/a/sysvinit-functions/sysvinit-functions.SlackBuild b/source/a/sysvinit-functions/sysvinit-functions.SlackBuild
new file mode 100755
index 000000000..9af7f9ec3
--- /dev/null
+++ b/source/a/sysvinit-functions/sysvinit-functions.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Copyright 2005-2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=${VERSION:-8.53}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-sysvinit-functions
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# The functions that ship in /etc/rc.d/init.d are used mainly
+# by Red Hat (and derived) systems. Most users will not need
+# them, but since some commerical software makes the assuption
+# that /etc/rc.d/init.d/functions will exist (and uses it),
+# shipping at least it and the sysvinit runlevel directories
+# will probably make life easier for everybody. We'll maybe
+# ever consider splitting a few of the functions of the old
+# venerable BSD-style init scripts into runlevel scripts (if
+# it looks like it will make system maintainance easier).
+
+# Build supporting binaries:
+cd $TMP
+rm -rf function-src-$VERSION
+# A small patch was applied to initlog to shut it the %^@& up.
+tar xjf $CWD/function-src-$VERSION.tar.bz2 || exit 1
+cd function-src-$VERSION
+make
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+mkdir -p $PKG/bin $PKG/sbin $PKG/usr/man/man{1,8}
+make install DESTDIR=$PKG
+gzip -9 $PKG/usr/man/man?/*.?
+
+# The FHS/LSB is a little bit unclear as to what to do here --
+# /etc/rc.d/init.d has been declared "deprecated" for no good
+# reason at all (commercial vendors couldn't find /etc/rc.d?),
+# so we'll make both /etc/init.d and /etc/rc.d/init.d with the
+# same contents. Hopefully this will make all the programs
+# happy.
+mkdir -p $PKG/etc/rc.d/init.d
+for file in $CWD/README.functions $CWD/functions ; do
+ cat $file > $PKG/etc/rc.d/init.d/$(basename $file)
+done
+chmod 755 $PKG/etc/rc.d/init.d/functions
+
+# Make empty runlevel directories:
+mkdir -p $PKG/etc/rc.d/rc{0,1,2,3,4,5,6}.d
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/sysvinit-functions-$VERSION-$ARCH-$BUILD.txz
+